//-----------------------------------------------------------------------------
//
//	MailSpeaker
//
//	Inherits From:		Speaker
//
//	Declared In:		MailSpeaker.h
//
//	Disclaimer
//
//		You may freely copy, distribute and reuse this software and its
//		associated documentation. I disclaim any warranty of any kind, 
//		expressed or implied, as to its fitness for any particular use.
//
//-----------------------------------------------------------------------------
#import <appkit/appkit.h>
#import "MailSpeaker.h"
#import <mach/mach.h>
#import <mach/message.h>
#import <servers/netname.h>

@implementation  MailSpeaker

- (int) incorporateNewMail
   {
   return [self selectorRPC:"incorporateNewMail" paramTypes:""];
   }

- (int) deliver
   {
   return [self selectorRPC:"deliver" paramTypes:""];
   }

- (int) openSend
   {
   return [self selectorRPC:"openSend" paramTypes:""];
   }

- (int) setBody : (char *) aString
   {
   return [self selectorRPC:"setBody:" paramTypes:"c", aString];
   }

- (int) setCc : (char *) aString
   {
   return [self selectorRPC:"setCc:" paramTypes:"c", aString];
   }

- (int) setSubject : (char *) aString
   {
   return [self selectorRPC:"setSubject:" paramTypes:"c", aString];
   }

- (int) setTo : (char *) aString
   {
   return [self selectorRPC:"setTo:" paramTypes:"c", aString];
   }

- (int) deliver : (int) aWindow
   {
   return [self selectorRPC:"deliver:" paramTypes:"i", aWindow];
   }

- (int) openSend : (int *) aWindow
   {
   return [self selectorRPC:"openSend:" paramTypes:"I", aWindow];
   }

- (int) setBody : (char *) aString inWindow : (int) aWindow
   {
   return [self selectorRPC:"setBody:inWindow:" paramTypes:"ci", aString, aWindow];
   }

- (int) setCc : (char *) aString inWindow : (int) aWindow
   {
   return [self selectorRPC:"setCc:inWindow:" paramTypes:"ci", aString, aWindow];
   }

- (int) setSubject : (char *) aString inWindow : (int) aWindow
   {
   return [self selectorRPC:"setSubject:inWindow:" paramTypes:"ci", aString, aWindow];
   }

- (int) setTo : (char *) aString inWindow : (int) aWindow
   {
   return [self selectorRPC:"setTo:inWindow:" paramTypes:"ci", aString, aWindow];
   }
@end
