/* -*-C-*-
*******************************************************************************
*
* File:         mailutil.h
* RCS:          /usr/local/sources/CVS/mailapp-utilities/mailutil.h,v 1.2 1996/12/01 17:03:22 tom Exp
* Description:  Header file for all Mail.app utilities
* Author:       Carl Edman
* Created:      Sun Apr 25 10:27:09 1993
* Modified:     Fri Nov 29 15:35:00 1996 Tom Hageman <tom@basil.icce.rug.nl>
* Language:     C
* Package:      N/A
* Status:       Experimental (Do Not Distribute)
*
* (C) Copyright 1993, but otherwise this file is perfect freeware.
*
*******************************************************************************
*/

#import <time.h>

#define LINELEN 10240

int mailboxdir(char *buf);
int cd_mbox(const char *name,int createflag);
int uncd_mbox(void);
int lock_mbox(int nowaitflg);
int unlock_mbox(void);

time_t mtime(const char *path);
off_t filesize(const char *path);
int dirsize(char *path);

char *strpcpy(char *to,const char *beg,const char *end);
char *strpcat(char *to,const char *beg,const char *end);
int strpequ(char *to,const char *beg,const char *end);
int strpcaseequ(char *to,const char *beg,const char *end);

void appstring(char **string,int *len,int *maxlen,const char *app,const int alen);
char *growstring(char **string,int *len,int *maxlen,const int alen);

unsigned long int calc_crc(const char *beg,int len);

void forall_mboxes(void (*func)(const char *));
